Subject: [Megaco] Active Events

From: Brad Steinka <[email-masked]>
Date: Wed, 16 Jul 2003 08:15:02 -0400

When a termination is in a active Context and the MG receives a Modify for
the termination that contains an Event Descriptor
requesting the MG to detect specific events (ex.  flash / on-hook/
off-hook),  do these events REMAIN ACTIVE when
the termination is returned to the NULL context when the MG receives a
Subtract for the termination in question?

It is NOT clear in the RFC-3015 what happens to ACTIVE events / signals when
a termination is returned to the NULL context.

Thanks in advance for any clarification you can bring to this topic.

Brad Steinka
Director - Software Engineering
734 Forest Street, Building G, Suite 100
Marlboro, Ma.   01752
Tel:  508-480-0909  x154
Email: [email-masked] <mailto:[email-masked]>
Web:   www.telica.com <http://www.telica.com>

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Felix,Zhang" <[email-masked]>
Date: Tue, 16 Jul 2002 20:18:49 +0800

Sorry for trouble all of you, I'm a new comer to IETF.

Is anybody can tell me which work group  accepts comments of MGCP?

Is it be addressed in this work group?

----- Original Message ----- 
From: "Brad Steinka" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, July 16, 2003 8:15 PM
Subject: [Megaco] Active Events

| 
| When a termination is in a active Context and the MG receives a Modify for
| the termination that contains an Event Descriptor
| requesting the MG to detect specific events (ex.  flash / on-hook/
| off-hook),  do these events REMAIN ACTIVE when
| the termination is returned to the NULL context when the MG receives a
| Subtract for the termination in question?
| 
| It is NOT clear in the RFC-3015 what happens to ACTIVE events / signals when
| a termination is returned to the NULL context.
| 
| Thanks in advance for any clarification you can bring to this topic.
| 
| 
| 
| 
| Brad Steinka
| Director - Software Engineering
| 734 Forest Street, Building G, Suite 100
| Marlboro, Ma.   01752
| Tel:  508-480-0909  x154
| Email: [email-masked] <mailto:[email-masked]>
| Web:   www.telica.com <http://www.telica.com>
| 
| 
| 
| _______________________________________________
| Megaco mailing list
| [email-masked]
| https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Felix,Zhang" <[email-masked]>
Date: Tue, 16 Jul 2002 20:18:49 +0800

----- Original Message ----- 
From: "Brad Steinka" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, July 16, 2003 8:15 PM
Subject: [Megaco] Active Events

|

---

From: "Balasubramanian Pitchandi" <[email-masked]>
Date: Wed, 16 Jul 2003 09:19:51 -0400

You can send your MGCP comments to [email-masked] or
[email-masked]

Thanks,
Bala

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Felix,Zhang
Sent: Tuesday, July 16, 2002 8:19 AM
To: [email-masked]
Subject: [Megaco] Looking for help.

----- Original Message ----- 
From: "Brad Steinka" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, July 16, 2003 8:15 PM
Subject: [Megaco] Active Events

| 
| It is NOT clear in the RFC-3015 what happens to ACTIVE events / signals
when

---

From: "Balasubramanian Pitchandi" <[email-masked]>
Date: Wed, 16 Jul 2003 09:19:51 -0400

Thanks,
Bala

----- Original Message ----- 
From: "Brad Steinka" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, July 16, 2003 8:15 PM
Subject: [Megaco] Active Events

|

---

From: Tom Taylor <[email-masked]>
Date: Wed, 16 Jul 2003 19:29:29 +0200

Afraid not.  You have to do the modification after the subtract.  I'm a bit busy to 
look up the reference, but it's early in section 6.

---

From: Tom Taylor <[email-masked]>
Date: Wed, 16 Jul 2003 19:29:29 +0200

---

From: "Madhu Babu Brahmanapally" <[email-masked]>
Date: Wed, 16 Jul 2003 11:38:03 -0700

Hi All,
I think that the Subtract on a termination is enough to make the event
descriptor empty. Section 6.2.4 indicates "If not provisioned otherwise, all
descriptors except TerminationState and LocalControl default to   empty/"no
value" when a Termination is first created or returned to   the null
Context.".
Regards
Madhubabu Brahmanapally.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Tom Taylor
Sent: Wednesday, July 16, 2003 10:29 AM
To: Brad Steinka
Cc: [email-masked]'
Subject: Re: [Megaco] Active Events

Afraid not.  You have to do the modification after the subtract.  I'm a bit
busy to
look up the reference, but it's early in section 6.

---

From: "Madhu Babu Brahmanapally" <[email-masked]>
Date: Wed, 16 Jul 2003 11:38:03 -0700

Hi All,

---

From: Tom Taylor <[email-masked]>
Date: Thu, 17 Jul 2003 08:39:28 +0200

That's the one.  We deliberately did it that way on the basis of the principle of 
least surprise.  It makes it easy for the MGC to restore terminations to a known 
state when it has to.

Madhu Babu Brahmanapally wrote:

>>It is NOT clear in the RFC-3015 what happens to ACTIVE events / signals
> 
> when
>

---

From: Tom Taylor <[email-masked]>
Date: Thu, 17 Jul 2003 08:39:28 +0200